Bug 510839 - Review Request: qrupdate - A Fortran library for fast updates of QR and Cholesky decompositions
Review Request: qrupdate - A Fortran library for fast updates of QR and Chole...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-11 06:46 EDT by Susi Lehtola
Modified: 2009-08-08 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 18:58:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-07-11 06:46:00 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/qrupdate.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/qrupdate-1.0.1-1.fc11.src.rpm

Description:
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions. 

rpmlint output:
qrupdate-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

This package is needed for fast QR & Cholesky in Octave.
Comment 1 Susi Lehtola 2009-07-11 06:53:45 EDT
Cc Rakesh.
Comment 2 Jason Tibbitts 2009-07-11 11:03:27 EDT
rpmlint output is actually:
  qrupdate-devel.x86_64: W: no-documentation
not a problem

  qrupdate.x86_64: W: unused-direct-shlib-dependency /usr/lib64
   /libqrupdate.so.1.0 /lib64/libm.so.6
  qrupdate.x86_64: W: unused-direct-shlib-dependency /usr/lib64
   /libqrupdate.so.1.0 /lib64/libgcc_s.so.1
The library is linked against other libraries that it does not use.  You have to install the rpm and then do "rpmlint qrupdate" to see these.  I don't think these are problematic; it's not as if those libraries won't be linked in for some other reason.

I'm surprised there's nothing like a header, but I guess that's Fortan.  You just call the functions and hope you get the arguments the right way 'round.

* source files match upstream.  sha256sum:
   45ba0b4e6b15236a219b5b380e15fc9acfe6760a9ca5e53484de9b534969ba0d  qrupdate-
    1.0.1.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  qrupdate-1.0.1-1.fc12.x86_64.rpm
   libqrupdate.so.1()(64bit)
   qrupdate = 1.0.1-1.fc12
   qrupdate(x86-64) = 1.0.1-1.fc12
  =
   /sbin/ldconfig
   libblas.so.3()(64bit)
   libgcc_s.so.1()(64bit)
   libgfortran.so.3()(64bit)
   libgfortran.so.3(GFORTRAN_1.0)(64bit)
   liblapack.so.3()(64bit)
   libqrupdate.so.1()(64bit)

  qrupdate-devel-1.0.1-1.fc12.x86_64.rpm
   qrupdate-devel = 1.0.1-1.fc12
   qrupdate-devel(x86-64) = 1.0.1-1.fc12
  =
   libqrupdate.so.1()(64bit)
   qrupdate = 1.0.1-1.fc12

* %check is present and all tests pass:
   TOTAL:     PASSED 112     FAILED   0

* shared libraries are installed:
   ldconfig is called properly.
   unversioned .so link is in the -devel package.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files.
* scriptlets are OK (ldconfig).
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 3 Susi Lehtola 2009-07-11 11:29:16 EDT
Thanks for the speedy review!

(In reply to comment #2)
>   qrupdate.x86_64: W: unused-direct-shlib-dependency /usr/lib64
>    /libqrupdate.so.1.0 /lib64/libm.so.6
>   qrupdate.x86_64: W: unused-direct-shlib-dependency /usr/lib64
>    /libqrupdate.so.1.0 /lib64/libgcc_s.so.1
> The library is linked against other libraries that it does not use.  You have
> to install the rpm and then do "rpmlint qrupdate" to see these.  I don't think
> these are problematic; it's not as if those libraries won't be linked in for
> some other reason.

Oh, didn't notice that.
 
> I'm surprised there's nothing like a header, but I guess that's Fortan.  You
> just call the functions and hope you get the arguments the right way 'round.

So was I. I think this is a 'feature' of Fortran 77; Fortran 90 has module files that do this.

I really don't know *why* anyone would still want to write in a language that lacks e.g. dynamic memory allocation and has an 8 character length limit in function names and so on. qrupdate seems to have been written in 2008-2009!!!

(Not to mention that modern Fortran compilers often have lacking F77 capabilities..)

**

New Package CVS Request
=======================
Package Name: qrupdate
Short Description: A Fortran library for fast updates of QR and Cholesky decompositions
Owners: jussilehtola
Branches: EL-5 F-10 F-11
InitialCC:
Comment 4 Jason Tibbitts 2009-07-11 11:44:20 EDT
CVS done.
Comment 5 Fedora Update System 2009-07-11 15:02:17 EDT
qrupdate-1.0.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/qrupdate-1.0.1-1.el5
Comment 6 Fedora Update System 2009-07-11 15:05:09 EDT
qrupdate-1.0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/qrupdate-1.0.1-1.fc10
Comment 7 Fedora Update System 2009-07-11 15:06:08 EDT
qrupdate-1.0.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/qrupdate-1.0.1-1.fc11
Comment 8 Fedora Update System 2009-07-13 15:39:44 EDT
qrupdate-1.0.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qrupdate'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0073
Comment 9 Fedora Update System 2009-07-16 03:02:52 EDT
qrupdate-1.0.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qrupdate'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7593
Comment 10 Fedora Update System 2009-07-16 03:21:15 EDT
qrupdate-1.0.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update qrupdate'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7648
Comment 11 Fedora Update System 2009-07-29 18:58:23 EDT
qrupdate-1.0.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-08-08 15:31:41 EDT
qrupdate-1.0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-08-08 15:32:14 EDT
qrupdate-1.0.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.